/* Copyright 2021 Dominik George <nik@naturalnet.de>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import {BaseBackend, EventTypes} from './base';
import {WidgetApi} from 'matrix-widget-api';

class WidgetBackend extends BaseBackend {
  constructor(userId, widgetId) {
    super(userId);

    this.api = new WidgetApi(widgetId);
    this.requestCapabilities();
    this.api.start();
  }

  requestCapabilities() {
    this.api.requestCapabilityToReceiveState(EventTypes.map);
    this.api.requestCapabilityToReceiveState(EventTypes.player);

    this.api.requestCapabilityToSendState(EventTypes.player, this.userId);
  }

  set game(value) {
    this.api.sendContentLoaded();
  }
}

export default WidgetBackend;
